# Upload the certificate document

Uploads the signed actuarial certificate (PDF) and attaches it to an
existing status. The document is sent as the raw request body with
Content-Type application/pdf (not multipart/form-data). Only PDF
documents are accepted. With curl, use --data-binary (not -F/--form).

Endpoint: POST /c/service-provider/{providerId}/actuary/certificate-request/{requestId}/status/{statusId}/doc
Version: 1.0
Security: Class_oAuth

## Path parameters:

  - `providerId` (string, required)
    The unique Provider ID assigned to your organisation during registration.

  - `requestId` (string, required)
    The unique identifier for the certificate request. From SourceRef in the initial request payload Class sent to your endpoint.

  - `statusId` (string, required)
    The unique identifier for a status, returned by the Create a certificate status operation.

## Query parameters:

  - `businessCode` (string, required)
    Identifies the Class business. From Client.SourceRef in the initial request.

  - `fundCode` (string, required)
    Identifies the Class fund. From Fund.SourceRef in the initial request.

## Response 401 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_INTERNAL_ERROR

  - `Errors.Message` (string)
    Example: An unexpected error occurred.

## Response 403 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_INTERNAL_ERROR

  - `Errors.Message` (string)
    Example: An unexpected error occurred.

## Response 404 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_INTERNAL_ERROR

  - `Errors.Message` (string)
    Example: An unexpected error occurred.

## Response 500 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_INTERNAL_ERROR

  - `Errors.Message` (string)
    Example: An unexpected error occurred.

